curl -X DELETE "https://smartservers.smartlead.ai/api/v1/smart-server/mapping/campaign/123?api_key=YOUR_KEY"
import requests
response = requests.delete(
"https://smartservers.smartlead.ai/api/v1/smart-server/mapping/campaign/123",
params={"api_key": "YOUR_API_KEY"}
)
print(response.json())
{
"statusCode": 200,
"success": true,
"message": "Smart server campaign mapping updated successfully"
}
{
"statusCode": 404,
"success": false,
"message": "Not Found",
"error": "Smart server campaign mapping not found"
}
Smart Servers
Unassign SmartServers from Campaign
Remove SmartServer (dedicated IP) assignments from a campaign
DELETE
/
api
/
v1
/
smart-server
/
mapping
/
campaign
/
{campaign_id}
curl -X DELETE "https://smartservers.smartlead.ai/api/v1/smart-server/mapping/campaign/123?api_key=YOUR_KEY"
import requests
response = requests.delete(
"https://smartservers.smartlead.ai/api/v1/smart-server/mapping/campaign/123",
params={"api_key": "YOUR_API_KEY"}
)
print(response.json())
{
"statusCode": 200,
"success": true,
"message": "Smart server campaign mapping updated successfully"
}
{
"statusCode": 404,
"success": false,
"message": "Not Found",
"error": "Smart server campaign mapping not found"
}
SmartServers API: Dedicated IP infrastructure feature. Contact support@smartlead.ai for access.
server_id, every SmartServer assigned to the campaign is removed and SmartServer auto-rotation is turned off for the campaign. With server_id, only that server is removed.
Path Parameters
string
required
Campaign ID
Query Parameters
string
required
Your SmartLead API key
string
Remove only this SmartServer from the campaign
curl -X DELETE "https://smartservers.smartlead.ai/api/v1/smart-server/mapping/campaign/123?api_key=YOUR_KEY"
import requests
response = requests.delete(
"https://smartservers.smartlead.ai/api/v1/smart-server/mapping/campaign/123",
params={"api_key": "YOUR_API_KEY"}
)
print(response.json())
Response Example
{
"statusCode": 200,
"success": true,
"message": "Smart server campaign mapping updated successfully"
}
{
"statusCode": 404,
"success": false,
"message": "Not Found",
"error": "Smart server campaign mapping not found"
}
